<?php
include "excel_reader2.php";
include "../koneksi.php";

if( !isset( $_GET['id'] ) )
{
    if (!isset( $_GET['qty'] )) {
        header('location:pbb.php');
        exit();
    }
    header('location:pbb.php');
    exit();
}

$jumlah1 = $_GET['qty'];
$dok_inc1 = $_GET['id'];

$datamat = mysqli_query ($koneksi, "SELECT MaterialID
                                FROM incoming
                                WHERE IncomingID ='$dok_inc1'");
$row= mysqli_fetch_array($datamat);

// upload file xls
$target = basename($_FILES['berkas_excel']['name']) ;
move_uploaded_file($_FILES['berkas_excel']['tmp_name'], $target);

// beri permisi agar file xls dapat di baca
chmod($_FILES['berkas_excel']['name'],0777);

// mengambil isi file xls
$data = new Spreadsheet_Excel_Reader($_FILES['berkas_excel']['name'],false);
// menghitung jumlah baris data yang ada
$jumlah_baris = $data->rowcount($sheet_index=0);

// jumlah default data yang berhasil di import
$berhasil = 0;
if($row['MaterialID']==='1' || $row['MaterialID']==='2' ) {
    for ($i=2; $i<=$jumlah1+1; $i++){

        // menangkap data dan memasukkan ke variabel sesuai dengan kolumnya masing-masing
        $bag     = $data->val($i, 5);
        $lot   = $data->val($i, 6);
        $batch   = $data->val($i, 7);
        $mat   = $data->val($i, 8);
        
         if (!empty($bag)&&!empty($lot)) {
            mysqli_query($koneksi,"insert into PBB (PBB_ID,IncomingID,Lot,Bag,Batch,Material) values ('','$dok_inc1','$lot','$bag','$batch','$mat')");
            $berhasil++;
        }
    
    }    
} else {
for ($i=2; $i<=$jumlah1+1; $i++){

    // menangkap data dan memasukkan ke variabel sesuai dengan kolumnya masing-masing
    $lot     = $data->val($i, 2);
    $bag   = $data->val($i, 3);
    
     if (!empty($lot)&&!empty($bag)) {
        mysqli_query($koneksi,"insert into PBB (PBB_ID,IncomingID,Lot,Bag) values ('','$dok_inc1','$lot','$bag')");
        $berhasil++;
    }

}
}

// hapus kembali file .xls yang di upload tadi
unlink($_FILES['berkas_excel']['name']);

header('Location:pbb.php?id='.$dok_inc1.'');
?>